Last Comment Bug 542823 - cp932 encoded messages display as garbage
: cp932 encoded messages display as garbage
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Alexander L. Slovesnik
:
Mentors:
http://forum.mozilla-russia.org/viewt...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 11:25 PST by Alexander L. Slovesnik
Modified: 2010-03-02 05:55 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.9-fixed


Attachments
Problem mail message (4.19 KB, text/plain)
2010-01-28 11:25 PST, Alexander L. Slovesnik
no flags Details
Screenshot (68.84 KB, image/png)
2010-01-28 11:26 PST, Alexander L. Slovesnik
no flags Details
Potential patch [Checkin: Comment 3 & 6] (475 bytes, patch)
2010-01-28 11:30 PST, Alexander L. Slovesnik
smontagu: review+
mbeltzner: approval1.9.2.2+
mbeltzner: approval1.9.1.9+
Details | Diff | Review

Description Alexander L. Slovesnik 2010-01-28 11:25:10 PST
Created attachment 424059 [details]
Problem mail message

I've got a report that Thunderbird can not properly display cp932 encoded message, sent from iphone mail client.
If I manually select Shift_JIS from list of encodings for this letter, it displays fine.
Comment 1 Alexander L. Slovesnik 2010-01-28 11:26:08 PST
Created attachment 424060 [details]
Screenshot
Comment 2 Alexander L. Slovesnik 2010-01-28 11:30:26 PST
Created attachment 424061 [details] [diff] [review]
Potential patch
[Checkin: Comment 3 & 6]

I've added cp932=Shift_JIS alias to thundebird/res/charsetalias.properties to resolve this issue. I've made this patch, though I'm not really sure where this file lives in source.
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) 2010-01-30 04:57:12 PST
http://hg.mozilla.org/mozilla-central/rev/d0b6aeb773de
Comment 4 Alexander L. Slovesnik 2010-01-31 05:24:29 PST
Comment on attachment 424061 [details] [diff] [review]
Potential patch
[Checkin: Comment 3 & 6]

Asking for 1.9.1/1.9.2 branch approval.
This patch fixes problem with display of cp932 encoded messages.
Comment 5 Mike Beltzner [:beltzner, not reading bugmail] 2010-02-22 10:36:02 PST
Comment on attachment 424061 [details] [diff] [review]
Potential patch
[Checkin: Comment 3 & 6]

a=beltzner 1.9.1 and 1.9.2

Note You need to log in before you can comment on or make changes to this bug.